import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { DataTableComponent } from './data-table.component';
import { TableService } from './data-table.service';
import { Subscription } from 'rxjs';
export declare class DataTableCheckboxHeaderComponent implements OnInit, OnDestroy {
    dt: DataTableComponent;
    tableService: TableService;
    disabled: boolean;
    className: string;
    checked: boolean;
    selectionChangeSubscription: Subscription;
    valueChangeSubscription: Subscription;
    constructor(dt: DataTableComponent, tableService: TableService);
    ngOnInit(): void;
    handleClick(event: Event): void;
    updateCheckedState(): boolean;
    ngOnDestroy(): void;
}
export declare class DataTableCheckboxComponent implements OnInit, OnDestroy {
    dt: DataTableComponent;
    tableService: TableService;
    data: any;
    disabled: boolean;
    className: string;
    boxViewChild: ElementRef;
    checked: boolean;
    subscription: Subscription;
    constructor(dt: DataTableComponent, tableService: TableService);
    ngOnInit(): void;
    handleClick(event: Event): void;
    ngOnDestroy(): void;
}
